Listar pagos
get/v1/payments
Request
BASH
curl https://api.cauril.com/v1/payments \
-H "Authorization: Bearer sk_test_..."Parámetros
| statusquery | PaymentStatus | |
| providerquery | string | |
| currencyquery | string | |
| customer_idquery | string | |
| limitquery | integer | 1–100 (default 20). |
| starting_afterquery | string | Cursor: el id del último elemento de la página anterior. |
Respuestas
| 200 | Lista paginada de pagos | PaymentList |
| 401 | Error | Error |
Ejemplo de respuesta · 200
JSON
{
"object": "list",
"data": [
{
"object": "payment",
"id": "pay_01J...",
"status": "created",
"amount": 5000,
"amount_refunded": 5000,
"currency": "USD",
"provider": "stripe",
"provider_payment_id": null,
"payment_method": {
"type": "card",
"token": "string",
"brand": "visa",
"last4": "4242"
},
"customer_id": null,
"description": null,
"metadata": {},
"next_action": {
"type": "redirect",
"url": "string"
},
"failure": {
"code": "card_declined",
"message": "string"
},
"attempts": [
{
"object": "payment_attempt",
"id": "string",
"provider": "string",
"status": "string",
"provider_payment_id": null,
"error_code": null,
"latency_ms": null,
"created_at": "2026-06-01T12:00:00Z"
}
],
"created_at": "2026-06-01T12:00:00Z",
"updated_at": "2026-06-01T12:00:00Z",
"livemode": true
}
],
"has_more": true,
"next_cursor": null
}